www-apache-bugdb mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Magnus Binder <bin...@dfv.de>
Subject general/847: "Premature end of ..." - Server Error ------- Only under Netscape 3.0
Date Thu, 10 Jul 1997 11:20:02 GMT

>Number:         847
>Category:       general
>Synopsis:       "Premature end of ..." - Server Error ------- Only under Netscape 3.0
>Confidential:   no
>Severity:       critical
>Priority:       medium
>Responsible:    apache (Apache HTTP Project)
>State:          open
>Class:          sw-bug
>Submitter-Id:   apache
>Arrival-Date:   Thu Jul 10 04:20:01 1997
>Originator:     binder@dfv.de
>Organization:
apache
>Release:        1.1.1 and 1.2.0
>Environment:
Solaris 2.5.1 (SunOS 5.5.1)
Gnu GCC 2.7.1
Informix ESQLC 7.12 plus CGI-Libraries
>Description:
When porting our domain "www.horizont.net" from AIX to a Solaris 2.5.1
platform a somewhat silly error occurs. Each time trying to make a search
in our Job-database the server encounters an error. The error_log report
an "Premature end of script header error".  Although I have read your FAQ 
this error only occurs under Netscape 3.0 (Gold). There is absolutely no
problem with MS Explorer or Netscape Navigator 4.01. This error only occurs 
under Solaris, not under AIX (no matter if Apache 1.1.1 or 1.2.0) used).
>How-To-Repeat:
http://195.88.67.20/cgi-bin/Job/search#SUCH2 (Testdomain for Solaris)

Search for Alle/Alle .../Alle  ---> Suche
>Fix:
I tried  a lot of fflush() after cgi_print(). Also I tried different 
Apache Versions
>Audit-Trail:
>Unformatted:



Mime
View raw message